<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:d="http://www.apple.com/DTDs/DictionaryService-1.0.rng"
				version="1.0">
<xsl:output method="xml" encoding="UTF-8" indent="no"/>


<!--
================================================================
- This XSLT is to remove some kind of blocks that contains 
  any of the following node.
  + <o:regLabel> node that contains one of the following.
    - 'vulgar slang'
    - 'derogatory'
    - 'offensive'

e.g.
- If a <o:sense> block contains such regLabel, the <o:sense> block 
  is remove.  i.e. It is not copied to the destination.
- If <o:prelim> of <o:Prelim> of a senseBlock (<o:SB>) contains 
  such regLabel, whole the <o:SB> is removed.
- etc.
================================================================
-->


<!--
================================================================
Template for "/"
================================================================
-->
<xsl:template match="/">
	<xsl:apply-templates />
</xsl:template>


<!--
================================================================
Remove elements that is marked as "d:parental-control=1"
================================================================
-->
<xsl:template match="//*[@d:parental-control='1']" />


<!--
================================================================
Default
================================================================
-->
<xsl:template match="@*|node()">
	<xsl:copy>
		<xsl:apply-templates select="@*|node()" />
	</xsl:copy>
</xsl:template>

</xsl:stylesheet>
